/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package picturestoryeditor;

/**
 * 解像度リスト
 * @author Administrator
 */
public enum Resolutions {
    QVGA(null, 320, 240, false),
    One_seg_Wide("ワンセグ・ワイド", 320, 180, true),
    Nico_Standard("ニコニコ・通常", 512, 384, false),
    Nico_Wide("ニコニコ・ワイド", 512, 288, true),
    VGA(null, 640, 480, false),
    HVGAW(null, 640, 360, true),
    SVGA(null, 800, 600, false),
    XGA(null, 1024, 768, false),
    WSVGA(null, 1024, 576, true),
    ;

    private int width;
    private int height;
    private boolean wideFlag;
    private String name;

    public int getHeight() {
        return height;
    }

    public String getName() {
        return name;
    }

    public boolean isWideFlag() {
        return wideFlag;
    }

    public int getWidth() {
        return width;
    }
    
    @Override
    public String toString() {
        String temp = this.name + "(" + Integer.toString(width) + "*" + Integer.toString(height) + ")";
        if (wideFlag) temp += "(16：9)";
        else temp += "(4：3)";
        return temp;
    }
            
    private Resolutions(String name, int width, int height, boolean wideFlag) {
        if (name != null) this.name = name;
        else this.name = this.name();

        this.width = width;
        this.height = height;
        this.wideFlag = wideFlag;
    }


}
