/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package picturestoryeditor;

import java.io.InputStream;
import java.net.URL;

/**
 *
 * @author Administrator
 */
public abstract class TSoundLayer {
    int Volume = 100;
    int Pan = 0;
    String FileName = "";
    TSoundStatusType Status = TSoundStatusType.停止;
    int Position = 0;
    boolean IsLoaded = false;
    
    public abstract boolean isRunning();
    public abstract void Load(String FileName);
    public abstract void Load(URL url);
    public abstract void setPan (int p);
    public abstract void setVolume (int v);
    public abstract void setStatus(TSoundStatusType s);
    public abstract void Finalize();
    
    //音量(%)をデシベルに変換
    float VolumeToDB(int v) {
        if (v <= -100) return -1;
        else if (v >= 100) return 1;
        else if (v == 0) return 0;
        else {
            float f = ((float)Math.log10(Math.abs(v) / 100.0)) * 20;
            if (v < 0) return -f;
            else return f;
        }
    }
    
    
}
