/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package picturestoryeditor;

import java.io.File;
import java.util.Locale;
import javax.imageio.ImageIO;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author Administrator
 */
public class ProjectFileFilter extends FileFilter {
    public static final String[] SUPPORT_EXTENSION = {".kmcby"};
    @Override
    public boolean accept(File f) {
        if (f.isDirectory()) return true;
        for (String s : SUPPORT_EXTENSION) {
            if (f.getName().toLowerCase(Locale.ENGLISH).endsWith(s)) return true;
        }
        return false;
    }

    @Override
    public String getDescription() {
        return "プロジェクトファイル(*" + SUPPORT_EXTENSION[0] +  ")";
    }

}
