/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package picturestoryeditor;

/**
 * 音声操作の種類
 * @author Administrator
 */
public enum SoundControlType {
    NONE("なし", "何もしません。"),
    STOP("停止", "再生中のBGMを停止します。"),
    PLAY("再生", "BGMを指定した音量で再生します。"),
    VOLUME("音量変更", "再生中のBGMの音量を変更します。"),
    FADE_OUT("フェードアウト", "現在の音量から徐々に下げていき、0になると再生を停止します。"),
    FADE_IN("フェードイン", "音量0で再生を開始し、指定した音量になるまで徐々に上げていきます。"),
    ;

    private String name;
    private String description;


    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return name;
    }
            
    private SoundControlType(String name, String description) {
        if (name != null) this.name = name;
        else this.name = this.name();

        this.description = description;
    }


}
